org.keycloak.credential

## Class WebAuthnPasswordlessCredentialProviderFactory

- java.lang.Object
- - org.keycloak.credential.WebAuthnPasswordlessCredentialProviderFactory

- All Implemented Interfaces:
    CredentialProviderFactory<WebAuthnPasswordlessCredentialProvider>, EnvironmentDependentProviderFactory, ProviderFactory<CredentialProvider>

      public class WebAuthnPasswordlessCredentialProviderFactory
      extends Object
      implements CredentialProviderFactory<WebAuthnPasswordlessCredentialProvider>, EnvironmentDependentProviderFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnPasswordlessCredentialProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialProvider` | `create(KeycloakSession session)`
    `String` | `getId()` This is the name of the provider and will be showed in the admin console as an option.
    `boolean` | `isSupported()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.credential.CredentialProviderFactory

      `close, init, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebAuthnPasswordlessCredentialProviderFactory

          public WebAuthnPasswordlessCredentialProviderFactory()

  - ### Method Detail

    - #### create

          public CredentialProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<CredentialProvider>`

    - #### getId

          public String getId()

      Description copied from interface: `CredentialProviderFactory`
      This is the name of the provider and will be showed in the admin console as an option.
      Specified by:
        `getId` in interface `CredentialProviderFactory<WebAuthnPasswordlessCredentialProvider>`
      Specified by:
        `getId` in interface `ProviderFactory<CredentialProvider>`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

Copyright © 2021 JBoss by Red Hat. All rights reserved.